<nz-card [nzTitle]="cardTitle" [nzExtra]="cardExtra">
  <ng-template #cardTitle>
    {{"Miscellaneous.Homepage.Shouts" | translate }}
  </ng-template>
  <ng-template #cardExtra>
    <a target="_blank" href="{{hostUrl}}/shouts/all">
      {{"General.Common.ViewAll" | translate }}
    </a>
  </ng-template>
  <div class="listitem-container">
    <nz-spin nzTip="Loading..." [nzSpinning]="isLoading">
      <div class="shoutsBox">
        <div class="shouts-tabs">
          <nz-tabset nzSize="small" [(nzSelectedIndex)]="currentTab" (nzSelectedIndexChange)="changeTab()">
            <nz-tab *ngIf="entity?.entityType == 1" [nzTitle]="titleTemplate2">
              <ng-template #titleTemplate2>
                <img class="image-tab" height="28" src="{{hostUrl}}/assets/img/misc/shout_citizenship.png" />
                {{"Miscellaneous.Homepage.CitizenshipChannel" | translate }}
              </ng-template>
            </nz-tab>
            <nz-tab *ngIf="entity?.entityType != 1" [nzTitle]="titleTemplate">
              <ng-template #titleTemplate>
                <img class="image-tab" height="28" src="{{hostUrl}}/assets/img/misc/shout_national.png" />
                {{"Miscellaneous.Homepage.National" | translate }}
              </ng-template>
            </nz-tab>
            <nz-tab [nzTitle]="titleTemplate3">
              <ng-template #titleTemplate3>
                <img class="image-tab" height="28" src="{{hostUrl}}/assets/img/misc/shout_international.png" />
                {{"Miscellaneous.Homepage.International" | translate }}
              </ng-template>
            </nz-tab>
            <nz-tab [nzTitle]="titleTemplate4">
              <ng-template #titleTemplate4>
                <img class="image-tab" height="28" src="{{hostUrl}}/assets/img/misc/shout_market.png" />
                {{"Miscellaneous.Homepage.ShoutTabMarket" | translate }}
              </ng-template>
            </nz-tab>
          </nz-tabset>
          <div class="post">
            <textarea nz-input rows="4" [(ngModel)]="newShoutMessage" maxlength="250"
              placeholder="{{channel?.message}}"></textarea>
            <button class="small-fullSize" (click)="postShout()" nz-button nzType="blue">Post</button>
          </div>
          <div class="tab-content" *ngIf="channel != undefined">
            <div ngClass="shout item-{{i}}" *ngFor="let shout of channel.shouts; let i = index">
              <div nz-row nzType="flex" nzJustify="space-between" nzAlign="middle"
                ngClass="listitem inner{{shout.isExpanded === true ? ' active' : ''}}">
                <div nz-col class="avatar">
                  <a
                    href="{{hostUrl}}/{{shout.headerShout.entity.entityTypeName}}/{{shout.headerShout.entity.entityId}}">
                    <img src="{{hostUrl}}/{{shout.headerShout.entity.avatarLocation}}" alt="" title="" />
                  </a>
                </div>
                <div nz-col class="shout-container">
                  <div class="entity">
                    <a target="_blank"
                      href="{{hostUrl}}/{{shout.headerShout.entity.entityTypeName}}/{{shout.headerShout.entity.entityId}}">
                      {{shout.headerShout.entity.name}}
                    </a>
                  </div>
                  <div class="message">
                    {{shout.headerShout.message}}
                  </div>
                  <div class="shout-info">
                    <div class="hour">
                      {{shout.headerShout.createdOnAgo}} ago
                    </div>
                    <a (click)="likeShout(shout.id)" class="like" target="_blank">
                      Like
                      <span class="nRep">
                        {{shout.likes.length}}
                      </span>
                    </a>
                    <div class="openReplies" (click)="shout.isExpanded = !shout.isExpanded;">
                      Reply
                      <span class="nRep">
                        {{shout.shouts.length - 1}}
                      </span>
                    </div>
                  </div>
                </div>
              </div>
              <div class="shoutReply" *ngIf="shout.isExpanded == true">
                <div nz-row nzType="flex" nzJustify="space-between" nzAlign="middle"
                  ngClass="replyMessage listitem item-{{i}}" *ngFor="let reply of shout.shouts; let i = index">
                  <ng-container *ngIf="reply.isHeader == false">
                    <div nz-col class="avatar">
                      <a href="{{hostUrl}}/{{reply.entity.entityTypeName}}/{{reply.entity.entityId}}">
                        <img src="{{hostUrl}}/{{reply.entity.avatarLocation}}" alt="" title="" />
                      </a>
                    </div>
                    <div nz-col class="shout-container">
                      <div class="entity">
                        <a target="_blank" href="{{hostUrl}}/{{reply.entity.entityTypeName}}/{{reply.entity.entityId}}">
                          {{reply.entity.name}}
                        </a>
                      </div>
                      <div class="message">
                        {{reply.message}}
                      </div>
                    </div>
                  </ng-container>
                </div>
                <div class="post">
                  <textarea nz-input rows="4" [(ngModel)]="shoutReplyMessage" maxlength="250"
                    placeholder="Write your reply..."></textarea>
                  <button class="small-fullSize" (click)="replyShout(shout.id)" nz-button nzType="blue">Reply</button>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </nz-spin>
    <div class="vAll">
      <a target="_blank" href="{{hostUrl}}/shouts/all">
        {{"General.Common.ViewAll" | translate }}
      </a>
    </div>
  </div>
</nz-card>